import theater.*;

import java.awt.Color;

import javax.swing.JColorChooser;


/**
 * ActionHandler-Klasse zur Änderung der Hintergrundfarbe
 *
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (05.10.2009)
 *
 */
public class BackgroundColor extends ActionHandler {
    public void handleAction(Stage stage, Actor solist) {
        Color color = JColorChooser.showDialog(null, "Farbwahl",
                ((Spielfeld) stage).getBackgroundColor());

        if (color != null) {
            ((Spielfeld) stage).changeBackgroundColor(color);
        }
    }
}
